Loading...
Searching...
No Matches
Gradient< MapType, DiffScheme > Struct Template Reference

Center difference gradient operators, defined with respect to the range-space of the `map`. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions

template<typename Accessor>
static internal::ReturnValue< Accessor >::Vec3Type | result (const MapType &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT>
static internal::ReturnValue< StencilT >::Vec3Type | result (const MapType &map, const StencilT &stencil)

## Detailed Description

template<typename MapType, DScheme DiffScheme>
struct openvdb::v11_0::math::Gradient< MapType, DiffScheme >

Center difference gradient operators, defined with respect to the range-space of the `map`.

Note
  This will need to be divided by two in the case of CD_2NDT

## Member Function Documentation

## result() [1/2]

template<typename MapType, DScheme DiffScheme>
template<typename Accessor>

internal::ReturnValue< Accessor >::Vec3Type result | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk )

inlinestatic

## result() [2/2]

template<typename MapType, DScheme DiffScheme>
template<typename StencilT>

internal::ReturnValue< StencilT >::Vec3Type result | ( | const MapType & | map,
|  | const StencilT & | stencil )

inlinestatic